com.massivecraft.factions.iface

## Interface RelationParticipator

- All Known Subinterfaces:
    EconomyParticipator, Faction, FPlayer
  All Known Implementing Classes:
    JSONFaction, JSONFPlayer, MemoryFaction, MemoryFPlayer

      public interface RelationParticipator

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `describeTo(RelationParticipator that)`
    `java.lang.String` | `describeTo(RelationParticipator that, boolean ucfirst)`
    `org.bukkit.ChatColor` | `getColorTo(RelationParticipator to)`
    `Relation` | `getRelationTo(RelationParticipator that)`
    `Relation` | `getRelationTo(RelationParticipator that, boolean ignorePeaceful)`

- - ### Method Detail

    - #### describeTo

          java.lang.String describeTo(RelationParticipator that)

    - #### describeTo

          java.lang.String describeTo(RelationParticipator that,
                                      boolean ucfirst)

    - #### getRelationTo

          Relation getRelationTo(RelationParticipator that)

    - #### getRelationTo

          Relation getRelationTo(RelationParticipator that,
                                 boolean ignorePeaceful)

    - #### getColorTo

          org.bukkit.ChatColor getColorTo(RelationParticipator to)